
import "DhorPlugins.ChampionFervour";

-- create the ChampionFervour window
ChampionFervour = MainWindow();

-- create a new command line command for the ChampionFervour window
ChampionFervourCommand = Turbine.ShellCommand();

-- handle the ChampionFervour commands
function ChampionFervourCommand:Execute( command, arguments )
	if ( arguments == "dump" ) then
		ChampionFervour:DoDump();
	elseif ( arguments == "lock" ) then
	   ChampionFervour:LockWindow();
	elseif ( arguments == "unlock" ) then
	   ChampionFervour:UnlockWindow();
	elseif ( arguments ~= nil ) then
		ChampionFervourCommand:GetHelp();
	end
end

function ChampionFervourCommand:GetHelp()
	Turbine.Shell.WriteLine( helpString );
end

-- add the command to the shell
Turbine.Shell.AddCommand( "CF,Fervour", ChampionFervourCommand );


